<?php
ob_start();
include("config.php");
	if(! check_login()){
	header("Location: login.php");
	exit;
	}

$dbres	=	mysql_query("SELECT `gevangenistijd`,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$member	=	mysql_fetch_object($dbres);

	if($member->gevangenis + $member->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="description" content="Ultimatecrime is een gratis online multiplayer spel! Ontwikkel je eigen crimineel door verschillende criminele activiteiten te doen! Speel met duizenden andere criminelen en wordt nummer 1!">
<meta name="keywords" content="world, gangster, criminal, mafia, games, game, multiplayer, rpg, mmorpg, online game, online multiplayer">
<meta name="Robots" CONTENT="follow">
<meta name="REVISIT-AFTER" CONTENT="7 days">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<table align="center" width="600">
	<tr>
		<td colspan="2" class="subTitle"><b>Ultimatecrime - Huwelijk</b></td>
	</tr>
	<tr>
		<td class="mainTxt" align="center">

<?php

	if($data->rank == "Junkie" || $data->rank == "Straatrat" || $data->rank == "Dief" || $data->rank == "Wietkweker" || $data->rank == "Drugsdealer" || $data->rank == "Gangster" || $data->rank == "Handelaar"){
	echo "Je kan pas trouwen zodra je Arbeider bent.";
	} else {
		if($data->aanzoek == ""){
			if($_GET['x'] == "trouwen"){
				if(isset($_POST['submit'])){
				$_POST['persoon']	=	$_POST['persoon'];
				$dbres			=	mysql_query("SELECT `login`,`aanzoek`,`huwelijk`,`rank` FROM `gebruiker` WHERE `login`='{$_POST['persoon']}'");
				$controlle		=	mysql_num_rows($dbres);
				$man			=	mysql_fetch_object($dbres);
				$dbres			=	mysql_query("SELECT `id` FROM `gebruiker` WHERE `aanzoek`='{$_POST['persoon']}'");
				$controlle2		=	mysql_num_rows($dbres);

					if($data->cash < 500000){
					echo "Je hebt te weinig geld voor een huwelijk.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					} else if($controlle == 0){
					echo "$persoon bestaat niet.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					} else if($man->login == $data->login){
					echo "Je kan niet met jezelf trouwen.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					} else if($man->aanzoek != ""){
					echo "$persoon heeft al een aanzoek gekregen helaas.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					} else if($controlle2 != 0){
					echo "$persoon heeft al een aanzoek verstuurd naar iemand anders helaas.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					} else if($man->huwelijk != ""){
					echo "$persoon is al getrouwt.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					} else if($man->rank == "Junkie" || $man->rank == "Straatrat" || $man->rank == "Dief" || $man->rank == "Wietkweker" || $man->rank == "Drugsdealer" || $man->rank == "Gangster" || $man->rank == "Handelaar"){
					echo "$persoon heeft een niet hoog genoege rank.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					} else {
					mysql_query("UPDATE `gebruiker` SET `aanzoek`='{$data->login}' WHERE `login`='{$man->login}'");
					mysql_query("UPDATE `gebruiker` SET `cash`=`cash`-'500000' WHERE `login`='{$data->login}'");
					mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$man->login}','Aanzoek','{$data->login} heeft een huwelijks aanzoek gedaan, Ga naar huwelijk om die te accepteren of te weigeren.')");
					echo "Je hebt geslaagt een aanzoek verstuurd.<meta http-equiv=\"refresh\" content=\"3\">"; 
					exit;
					}
				} else if($_GET['y'] == "exit"){
				$dbres		=	mysql_query("SELECT `login` FROM `gebruiker` WHERE `aanzoek`='{$data->login}'");
				$man		=	mysql_fetch_object($dbres);
				mysql_query("UPDATE `gebruiker` SET `cash`=`cash`+'500000' WHERE `login`='{$data->login}'");
				mysql_query("UPDATE `gebruiker` SET `aanzoek`='' WHERE `login`='{$man->login}'");
				mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$man->login}','Aanzoek','{$data->login} heeft de huwelijks aanzoek ingetrokken.')");
				echo "Je hebt je huwelijks aanzoek ingetrokken.<meta http-equiv=\"refresh\" content=\"3\">";
				exit;
				} else {
				$dbres		=	mysql_query("SELECT `id` FROM `gebruiker` WHERE `aanzoek`='{$data->login}'");
				$controlle	=	mysql_num_rows($dbres);
					if($controlle != 0){
					echo "Je hebt al een aanzoek gedaan klik <a href=\"speler-huwelijk.php?x=trouwen&y=exit\">hier</a> om uw aanzoek intetrekken.";
					} else {
					echo "<center><table width=\"60%\"><tr><td><form method=\"post\" action=\"speler-huwelijk.php?x=trouwen\"><br>Doe een aanzoek.<br><br>Kosten:<br>&#8364;500.000,-<br><br>Wie:<br><input type=\"text\" name=\"persoon\"><br><br><input type=\"submit\" name=\"submit\" value=\"Doe een aanzoek\"><br><br></form></td></tr></table></center>";
					}
				}
			} else if($_GET['x'] == "scheiden"){
				if(isset($_POST['submit'])){
					if($data->cash < 2000000){
					echo "Je hebt te weinig geld om te scheiden.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					} else {
					mysql_query("UPDATE `gebruiker` SET `huwelijk`='' WHERE `login`='{$data->huwelijk}'");
					mysql_query("UPDATE `gebruiker` SET `huwelijk`='',`cash`=`cash`-'$cash' WHERE `login`='{$data->login}'");
					mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','{$data->huwelijk}','Scheiding','{$data->login} is met uw gescheiden, Vraag hem maar waarom.')");
					echo "De echtscheiding is geslaagt.<meta http-equiv=\"refresh\" content=\"3\">";
					exit;
					}
				}	
			echo "<center><table width=\"60%\"><tr><td><form method=\"post\" action=\"speler-huwelijk.php?x=scheiden\"><br>Echtscheiding nodig?<br><br>Kosten:<br>&#8364;2.000.000,-<br><br><input type=\"submit\" name=\"submit\" value=\"scheiden!\"><br><br></form></td></tr></table></center>";
			} else {	

				if($data->huwelijk == ""){
				echo "<a href=\"speler-huwelijk.php?x=trouwen\">Trouwen</a></td>";
				echo "<td class=\"mainTxt\" align=\"center\"><s>Scheiden</s>";
				} else {	
				echo "<s>Trouwen</s></td>";
				echo "<td class=\"mainTxt\" align=\"center\"><a href=\"speler-huwelijk.php?x=scheiden\">Scheiden</a>";
				}

			}
		} else {
			if(isset($_POST['trouwen'])){
			mysql_query("UPDATE `gebruiker` SET `huwelijk`='{$data->aanzoek}',`aanzoek`='' WHERE `login`='{$data->login}'");
			mysql_query("UPDATE `gebruiker` SET `huwelijk`='{$data->login}',`aanzoek`='' WHERE `login`='{$data->aanzoek}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','{$data->aanzoek}','Aanzoek','{$data->login} heeft uw aanzoek geaccepteerd, Jullie zijn nou een getrouwd stel gefeliciteerd!')");
			echo "Je bent gelukkig getrouwd met {$data->aanzoek}! Je mag nu de bruid kussen!<meta http-equiv=\"refresh\" content=\"3\">";
			exit;	
			} else if(isset($_POST['deny'])){
			mysql_query("UPDATE `gebruiker` SET `aanzoek`='' WHERE `login`='{$data->login}'");
			mysql_query("UPDATE `gebruiker` SET `cash`=`cash`+'500000' WHERE `login`='{$data->aanzoek}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','{$data->aanzoek}','Aanzoek','{$data->login} heeft uw aanzoek geweigerd.')");
			echo "Je hebt de huwelijks aanzoek afgewezen.<meta http-equiv=\"refresh\" content=\"3\">";
			exit;
			} else {
			echo "<center><table width=\"60%\"><tr><td><form method=\"post\" action=\"speler-huwelijk.php?x=aanzoek\"><br>Er is een aanzoek door {$data->aanzoek} bij uw gedaan, Wijs hem/haar af trouw met hem/haar.<br><br><input type=\"submit\" name=\"deny\" value=\"Wijs af\"><input type=\"submit\" name=\"trouwen\" value=\"Trouwen\"><br><br></form></td></tr></table></center>";
			}
		}
	}

?>

		</td>
	</tr>
</table>
</body>
</html>